Bug 430536 - SummarySELinux is preventing /sbin/rpc.statd (rpcd_t) "write" to pipe (automount_t).
SummarySELinux is preventing /sbin/rpc.statd (rpcd_t) "write" to pipe (automo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 11:45 EST by Edward G. Weite
Modified: 2008-03-05 17:17 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:17:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edward G. Weite 2008-01-28 11:45:20 EST
Description of problem:

SummarySELinux is preventing /sbin/rpc.statd (rpcd_t) "write" to pipe (automount_t).
Version-Release number of selected component (if applicable):
Source Context:  system_u:system_r:rpcd_tTarget
Context:  system_u:system_r:automount_tTarget Objects:  pipe [ fifo_file
]Affected RPM Packages:  nfs-utils-1.1.0-6.fc8 [application]Policy
RPM:  selinux-policy-3.0.8-76.fc8Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  PermissivePlugin Name:  plugins.catchallHost
Name:  brisket.steaks.homPlatform:  Linux brisket.steaks.hom 2.6.23.14-107.fc8
#1 SMP Mon Jan 14 21:37:30 EST 2008 i686 i686Alert Count:  1First Seen:  Mon 28
Jan 2008 12:06:32 AM ESTLast Seen:  Mon 28 Jan 2008 12:06:32 AM ESTLocal
ID:  aeaada37-8740-4cbd-ab0f-5b6121bcc77b

How reproducible:
Running a small SOHO network. FC8 NIS server -> local machine

Steps to Reproduce:
1.
2.
3.
  
Actual results:

avc: denied { write } for comm=rpc.statd dev=pipefs egid=0 euid=0
exe=/sbin/rpc.statd exit=0 fsgid=0 fsuid=0 gid=0 items=0 path=pipe:[53007]
pid=7590 scontext=system_u:system_r:rpcd_t:s0 sgid=0
subj=system_u:system_r:rpcd_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:automount_t:s0 tty=(none) uid=0 
Expected results:


Additional info:
Comment 1 Maxwell Bottiger 2008-02-04 12:59:43 EST
I too am seeing this exact same message.

Raw Audit Messages :avc: denied { write } for comm=rpc.statd dev=pipefs egid=0
euid=0 exe=/sbin/rpc.statd exit=0 fsgid=0 fsuid=0 gid=0 items=0
path=pipe:[39813] pid=4142 scontext=system_u:system_r:rpcd_t:s0 sgid=0
subj=system_u:system_r:rpcd_t:s0 suid=0 tclass=fifo_file
tcontext=system_u:system_r:automount_t:s0 tty=(none) uid=0 
Comment 2 Daniel Walsh 2008-02-04 16:21:38 EST
Fixed in selinux-policy-3.0.8-83

You can safely ignore.
Comment 3 Daniel Walsh 2008-03-05 17:17:35 EST
Bugs have been in modified for over one month.  Closing as fixed in current
release please reopen if the problem still persists.

Note You need to log in before you can comment on or make changes to this bug.